Subject: Re: [PATCH v3 2/2] usage: add warn_once() helper for repeated warnings

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Jun 2022 13:40:06 -0700

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

> In the case of the credentials in a URL, the existing test demonstrates
> this per-process limitation: 'git clone' runs 'git-remote-curl' as a
> child process, giving two messages. This is an improvement over the
> previous six messages.

Do we call the valid_remote() helper on the same remote many number
of times?  Unless the duplicates appear by such a "stupid" reason, I
am not sure if this is a good idea to do this deduplication.

Especially if we know we cannot do the deduplication across
processes.